## onedrive 1.1.20161012

=== debian/changelog ===
onedrive (1.1.20161012-2) unstable; urgency=medium

  * add patch to fix service file, and install it into right place
    (Closes: #842426) (Thanks to Alam Arias)

 -- Norbert Preining <preining@debian.org>  Sat, 29 Oct 2016 14:55:42 +0900

onedrive (1.1.20161012-1) unstable; urgency=medium

  * First release (Closes: #830946)

 -- Norbert Preining <preining@debian.org>  Wed, 12 Oct 2016 13:39:59 +0900

## onedrive 1.1.20170106

=== Makefile ===
DC = dmd
DFLAGS = -ofonedrive -L-lcurl -L-lsqlite3 -L-ldl
DESTDIR = /usr/local/bin
CONFDIR = /usr/local/etc

SOURCES = \
	src/config.d \
	src/itemdb.d \
	src/log.d \
	src/main.d \
	src/monitor.d \
	src/onedrive.d \
	src/sqlite.d \
	src/sync.d \
	src/upload.d \
	src/util.d

onedrive: $(SOURCES)
	$(DC) -O -release -inline -boundscheck=off $(DFLAGS) $(SOURCES)

debug: $(SOURCES)
	$(DC) -debug -g -gs $(DFLAGS) $(SOURCES)

unittest: $(SOURCES)
	$(DC) -unittest -debug -g -gs $(DFLAGS) $(SOURCES)

clean:
	rm -f onedrive.o onedrive

install: onedrive onedrive.conf
	install onedrive $(DESTDIR)/onedrive
	install -m 644 onedrive.conf $(CONFDIR)/onedrive.conf
	install -m 644 onedrive.service /usr/lib/systemd/user

uninstall:
	rm -f $(DESTDIR)/onedrive
	rm -f $(CONFDIR)/onedrive.conf
	rm -f /usr/lib/systemd/user/onedrive.service

=== debian/changelog ===
onedrive (1.1.20170106-1) unstable; urgency=medium

  * new checkout from git
  * allow building with ldmd2

 -- Norbert Preining <preining@debian.org>  Tue, 24 Jan 2017 11:31:22 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Norbert Preining <preining@debian.org>
Build-Depends: libcurl4-gnutls-dev, libsqlite3-dev, ldc, debhelper (>= 7)
Standards-Version: 3.9.8
Homepage: http://skilion.github.io/onedrive/
Vcs-Git: git://anonscm.debian.org/users/preining/onedrive.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/onedrive.git

Package: onedrive
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud 
 storage.

## onedrive 1.1.20170919

=== Makefile ===
DFLAGS = -ofonedrive -L-lcurl -L-lsqlite3 -L-ldl -J.
PREFIX = /usr/local

SOURCES = \
	src/config.d \
	src/itemdb.d \
	src/log.d \
	src/main.d \
	src/monitor.d \
	src/onedrive.d \
	src/qxor.d \
	src/selective.d \
	src/sqlite.d \
	src/sync.d \
	src/upload.d \
	src/util.d

all: onedrive onedrive.service

clean:
	rm -f onedrive onedrive.o onedrive.service

debug: version $(SOURCES)
	dmd -debug -g -gs $(DFLAGS) $(SOURCES)

install: all
	install -D onedrive $(DESTDIR)$(PREFIX)/bin/onedrive
	install -D -m 644 onedrive.service $(DESTDIR)/usr/lib/systemd/user/onedrive.service

onedrive: version $(SOURCES)
	dmd -g -inline -O -release $(DFLAGS) $(SOURCES)

onedrive.service:
	sed "s|@PREFIX@|$(PREFIX)|g" onedrive.service.in > onedrive.service

unittest: $(SOURCES)
	dmd -debug -g -gs -unittest $(DFLAGS) $(SOURCES)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/onedrive
	rm -f $(DESTDIR)/usr/lib/systemd/user/onedrive.service

version: .git/HEAD .git/index
	echo $(shell git describe --tags 2>/dev/null) >version

=== debian/changelog ===
onedrive (1.1.20170919-2ubuntu2) bionic; urgency=medium

  * No-change rebuild for phobos-ldc soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 04:01:57 +0100

onedrive (1.1.20170919-2ubuntu1) bionic; urgency=medium

  * Tweak gdc patch to fix build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Dec 2017 14:19:18 +0100

onedrive (1.1.20170919-2) unstable; urgency=medium

  * switch to gdc
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 15 Nov 2017 15:25:51 +0900

onedrive (1.1.20170919-1) unstable; urgency=medium

  * New upstream version 1.1.20170919
  * update/remove patches
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 19 Sep 2017 15:18:26 +0900

onedrive (1.1.20170523-1) unstable; urgency=medium

  * new checkout from git

 -- Norbert Preining <preining@debian.org>  Tue, 23 May 2017 20:26:56 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libcurl4-gnutls-dev, libsqlite3-dev, ldc, debhelper (>= 7)
-Standards-Version: 3.9.8
+Build-Depends: libcurl4-gnutls-dev, libsqlite3-dev, gdc, debhelper (>= 7)
+Standards-Version: 4.1.1
 Homepage: http://skilion.github.io/onedrive/
 Vcs-Git: git://anonscm.debian.org/users/preining/onedrive.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/onedrive.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make debug

## onedrive 1.1.20180922~really1.1.3

=== Makefile ===
DC = dmd
DFLAGS = -g -ofonedrive -O -L-lcurl -L-lsqlite3 -L-ldl -J.
PREFIX = /usr/local

SOURCES = \
	src/config.d \
	src/itemdb.d \
	src/log.d \
	src/main.d \
	src/monitor.d \
	src/onedrive.d \
	src/qxor.d \
	src/selective.d \
	src/sqlite.d \
	src/sync.d \
	src/upload.d \
	src/util.d

all: onedrive onedrive.service

clean:
	rm -f onedrive onedrive.o onedrive.service

install: all
	install -D onedrive $(DESTDIR)$(PREFIX)/bin/onedrive
	install -D -m 644 onedrive.service $(DESTDIR)/usr/lib/systemd/user/onedrive.service

onedrive: version $(SOURCES)
	$(DC) $(DFLAGS) $(SOURCES)

onedrive.service:
	sed "s|@PREFIX@|$(PREFIX)|g" onedrive.service.in > onedrive.service

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/onedrive
	rm -f $(DESTDIR)/usr/lib/systemd/user/onedrive.service

version: .git/HEAD .git/index
	echo $(shell git describe --tags) >version

=== debian/changelog ===
onedrive (1.1.20180922~really1.1.3-1) unstable; urgency=medium

  * version 1.1.3
  * use again ldc as it is the default d compiler
  * adapt build system to upstream
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 22 Sep 2018 14:53:07 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Norbert Preining <preining@debian.org>
-Build-Depends: libcurl4-gnutls-dev, libsqlite3-dev, gdc, debhelper (>= 7)
-Standards-Version: 4.1.1
+Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc, debhelper (>= 7)
+Standards-Version: 4.2.1
 Homepage: http://skilion.github.io/onedrive/
-Vcs-Git: git://anonscm.debian.org/users/preining/onedrive.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/preining/onedrive.git
+Vcs-Git: https://salsa.debian.org/preining/onedrive.git
+Vcs-Browser: https://salsa.debian.org/preining/onedrive
 
 Package: onedrive
 Section: net

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make DC=ldc2

## onedrive 2.2.0

=== Makefile ===
DC = dmd
DFLAGS = -g -ofonedrive -O -L-lcurl -L-lsqlite3 -L-ldl -J.
PREFIX = /usr/local

ifneq ("$(wildcard /etc/redhat-release)","")
RHEL = $(shell cat /etc/redhat-release | grep -E "(Red Hat Enterprise Linux Server|CentOS Linux)" | wc -l)
else
RHEL = 0
endif

SOURCES = \
	src/config.d \
	src/itemdb.d \
	src/log.d \
	src/main.d \
	src/monitor.d \
	src/onedrive.d \
	src/qxor.d \
	src/selective.d \
	src/sqlite.d \
	src/sync.d \
	src/upload.d \
	src/util.d \
	src/progress.d

all: onedrive onedrive.service

clean:
	rm -f onedrive onedrive.o onedrive.service onedrive@.service

install: all
	mkdir -p $(DESTDIR)/var/log/onedrive
	chown root.users $(DESTDIR)/var/log/onedrive
	chmod 0775 $(DESTDIR)/var/log/onedrive
	install -D onedrive $(DESTDIR)$(PREFIX)/bin/onedrive
	install -D -m 644 logrotate/onedrive.logrotate $(DESTDIR)/etc/logrotate.d/onedrive
ifeq ($(RHEL),1)
	mkdir -p $(DESTDIR)/usr/lib/systemd/system/
	chown root.root $(DESTDIR)/usr/lib/systemd/system/
	chmod 0755 $(DESTDIR)/usr/lib/systemd/system/
	install -D -m 644 *.service $(DESTDIR)/usr/lib/systemd/system/
else
	mkdir -p $(DESTDIR)/usr/lib/systemd/user/
	chown root.root $(DESTDIR)/usr/lib/systemd/user/
	chmod 0755 $(DESTDIR)/usr/lib/systemd/user/
	install -D -m 644 onedrive.service $(DESTDIR)/usr/lib/systemd/user/
	mkdir -p $(DESTDIR)/usr/lib/systemd/system/
	chown root.root $(DESTDIR)/usr/lib/systemd/system/
	chmod 0755 $(DESTDIR)/usr/lib/systemd/system/
	install -D -m 644 onedrive@.service $(DESTDIR)/usr/lib/systemd/system/
endif

onedrive: version $(SOURCES)
	$(DC) $(DFLAGS) $(SOURCES)

onedrive.service:
	sed "s|@PREFIX@|$(PREFIX)|g" systemd.units/onedrive.service.in > onedrive.service
	sed "s|@PREFIX@|$(PREFIX)|g" systemd.units/onedrive@.service.in > onedrive@.service

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/onedrive
	rm -f $(DESTDIR)/etc/logrotate.d/onedrive
ifeq ($(RHEL),1)
	rm -f $(DESTDIR)/usr/lib/systemd/system/onedrive*.service
else
	rm -f $(DESTDIR)/usr/lib/systemd/user/onedrive.service
	rm -f $(DESTDIR)/usr/lib/systemd/system/onedrive@.service
endif

version: .git/HEAD .git/index
	echo $(shell git describe --tags) >version

=== debian/changelog ===
onedrive (2.2.0-1~mx17+2) mx; urgency=medium

  * Rebuild against ldc-1.5 already in our test repo.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Dec 2018 15:51:45 -0800

onedrive (2.2.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Dec 2018 12:29:52 -0800

onedrive (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * restrict building to archs where ldc is available
  * use ldmd2 instead of ldc2

 -- Norbert Preining <preining@debian.org>  Mon, 26 Nov 2018 10:05:51 +0900

onedrive (2.1.6-1) unstable; urgency=medium

  * New upstream version 2.1.6 - switching to abraunegg version
    - syncing works again (Closes: #913744)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Nov 2018 10:57:57 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Norbert Preining <preining@debian.org>
Build-Depends: libcurl4-openssl-dev,
               libsqlite3-dev,
               ldc, debhelper (>= 9), chrpath
Standards-Version: 4.2.1
Homepage: http://skilion.github.io/onedrive/
Vcs-Git: https://salsa.debian.org/preining/onedrive.git
Vcs-Browser: https://salsa.debian.org/preining/onedrive

Package: onedrive
Section: net
Priority: optional
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud 
 storage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make DC=ldmd2
	chrpath --delete onedrive

## onedrive 2.2.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,34 @@
-DC = dmd
-DFLAGS = -g -ofonedrive -O -L-lcurl -L-lsqlite3 -L-ldl -J.
-PREFIX = /usr/local
+DC ?= dmd
+
+ifdef PKGCONFIG
+	LIBS = $(shell pkg-config --libs sqlite3 libcurl)
+else
+	LIBS = -lcurl -lsqlite3
+endif
+ifdef NOTIFICATIONS
+	NOTIF_VERSIONS = -version=NoPragma -version=NoGdk -version=Notifications
+ifdef PKGCONFIG
+	LIBS += $(shell pkg-config --libs libnotify)
+else
+	LIBS += -lgmodule-2.0 -lglib-2.0 -lnotify
+endif
+endif
+LIBS += -ldl
+
+# add the necessary prefix for the D compiler
+LIBS := $(addprefix -L,$(LIBS))
+
+# support ldc2 which needs -d prefix for version specification
+ifeq ($(notdir $(DC)),ldc2)
+	NOTIF_VERSIONS := $(addprefix -d,$(NOTIF_VERSIONS))
+endif
+
+DFLAGS += -w -g -ofonedrive -O $(NOTIF_VERSIONS) $(LIBS) -J.
+
+PREFIX ?= /usr/local
+DOCDIR ?= $(PREFIX)/share/doc/onedrive
+MANDIR ?= $(PREFIX)/share/man/man1
+DOCFILES = README.md README.Office365.md config LICENSE CHANGELOG.md
 
 ifneq ("$(wildcard /etc/redhat-release)","")
 RHEL = $(shell cat /etc/redhat-release | grep -E "(Red Hat Enterprise Linux Server|CentOS Linux)" | wc -l)
@@ -23,17 +51,28 @@
 	src/util.d \
 	src/progress.d
 
-all: onedrive onedrive.service
+ifdef NOTIFICATIONS
+SOURCES += src/notifications/notify.d src/notifications/dnotify.d
+endif
+
+all: onedrive onedrive.service onedrive.1
 
 clean:
-	rm -f onedrive onedrive.o onedrive.service onedrive@.service
+	rm -f onedrive onedrive.o onedrive.service onedrive@.service onedrive.1
 
-install: all
+onedrive: version $(SOURCES)
+	$(DC) $(DFLAGS) $(SOURCES)
+
+install.noservice: onedrive onedrive.1
 	mkdir -p $(DESTDIR)/var/log/onedrive
 	chown root.users $(DESTDIR)/var/log/onedrive
 	chmod 0775 $(DESTDIR)/var/log/onedrive
 	install -D onedrive $(DESTDIR)$(PREFIX)/bin/onedrive
+	install -D onedrive.1 $(DESTDIR)$(MANDIR)/onedrive.1
 	install -D -m 644 logrotate/onedrive.logrotate $(DESTDIR)/etc/logrotate.d/onedrive
+
+install: all install.noservice
+	for i in $(DOCFILES) ; do install -D -m 644 $$i $(DESTDIR)$(DOCDIR)/$$i ; done
 ifeq ($(RHEL),1)
 	mkdir -p $(DESTDIR)/usr/lib/systemd/system/
 	chown root.root $(DESTDIR)/usr/lib/systemd/system/
@@ -49,13 +88,14 @@
 	chmod 0755 $(DESTDIR)/usr/lib/systemd/system/
 	install -D -m 644 onedrive@.service $(DESTDIR)/usr/lib/systemd/system/
 endif
-
-onedrive: version $(SOURCES)
-	$(DC) $(DFLAGS) $(SOURCES)
+	install -D -m 644 onedrive.service $(DESTDIR)/usr/lib/systemd/user/onedrive.service
 
 onedrive.service:
 	sed "s|@PREFIX@|$(PREFIX)|g" systemd.units/onedrive.service.in > onedrive.service
 	sed "s|@PREFIX@|$(PREFIX)|g" systemd.units/onedrive@.service.in > onedrive@.service
+
+onedrive.1: onedrive.1.in
+	sed "s|@DOCDIR@|$(DOCDIR)|g" onedrive.1.in > onedrive.1
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/onedrive
@@ -66,6 +106,8 @@
 	rm -f $(DESTDIR)/usr/lib/systemd/user/onedrive.service
 	rm -f $(DESTDIR)/usr/lib/systemd/system/onedrive@.service
 endif
+	for i in $(DOCFILES) ; do rm -f $(DESTDIR)$(DOCDIR)/$$i ; done
+	rm -f $(DESTDIR)$(MANDIR)/onedrive.1
 
 version: .git/HEAD .git/index
 	echo $(shell git describe --tags) >version

=== debian/changelog ===
onedrive (2.2.5-1) unstable; urgency=medium

  * new upstream releases
  * enable notifications during build
  * update Vcs fields and maintainer email

 -- Norbert Preining <norbert@preining.info>  Thu, 17 Jan 2019 11:22:12 +0900

onedrive (2.2.1-1) unstable; urgency=medium

  * new upstream release
    - fix file renaming support
    - fix network error handling
    - include man page
  * update homepage to abraunegg gh
  * patch rework and cleanup
  * remove older conffile /etc/onedrive.conf

 -- Norbert Preining <preining@debian.org>  Tue, 04 Dec 2018 12:06:32 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc, debhelper (>= 7), chrpath,
  pkg-config, libnotify-dev
Standards-Version: 4.2.1
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://github.com/norbusan/onedrive.git
Vcs-Browser: https://github.com/norbusan/onedrive

Package: onedrive
Section: net
Priority: optional
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud 
 storage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make DC=ldmd2 NOTIFICATIONS=1
	chrpath --delete onedrive

## onedrive 2.3.7

=== debian/changelog ===
onedrive (2.3.7-3) unstable; urgency=medium

  * Try to work around disappearing systemd pkg-config on sbuild hosts
    (why on earth?) (Closes: #932317)

 -- Norbert Preining <norbert@preining.info>  Thu, 18 Jul 2019 01:08:00 +0900

onedrive (2.3.7-2) unstable; urgency=medium

  * Source only upload

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Jul 2019 11:48:37 +0900

onedrive (2.3.7-1) unstable; urgency=medium

  * new upstream release - fixes a critical bug in 2.3.6

 -- Norbert Preining <norbert@preining.info>  Thu, 04 Jul 2019 00:12:45 +0900

onedrive (2.3.6-1) unstable; urgency=medium

  * new upstream release
  * update patch

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Jul 2019 07:52:35 +0900

onedrive (2.3.5-1) unstable; urgency=medium

  * new upstream release
  * update patches

 -- Norbert Preining <norbert@preining.info>  Wed, 19 Jun 2019 11:08:54 +0900

onedrive (2.3.4-1) experimental; urgency=medium

  * new upstream release (2.3.4)
  * update patches and rules file for changed layout

 -- Norbert Preining <norbert@preining.info>  Thu, 13 Jun 2019 09:14:02 +0900

onedrive (2.3.3-1) experimental; urgency=medium

  * new upstream release (2.3.3)
  * update patches
  * install completions

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Apr 2019 11:55:40 +0900

onedrive (2.3.2-1) experimental; urgency=medium

  * new upstream releases (2.3.{0,1,2}
  * update patches

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Apr 2019 11:10:36 +0900

onedrive (2.2.6-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Mar 2019 07:45:46 +0900

onedrive (2.2.6-1) experimental; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Mar 2019 17:16:36 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Norbert Preining <norbert@preining.info>
 Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc, debhelper (>= 7), chrpath,
-  pkg-config, libnotify-dev
+  pkg-config, libnotify-dev, bash-completion, systemd
 Standards-Version: 4.2.1
 Homepage: https://github.com/abraunegg/onedrive
 Vcs-Git: https://github.com/norbusan/onedrive.git

=== debian/rules ===
#!/usr/bin/make -f

export DC=ldc2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-completions --enable-notifications \
		--with-zsh-completion-dir=/usr/share/zsh/vendor-completions

override_dh_auto_build:
	make
	chrpath --delete onedrive

## onedrive 2.3.9

=== debian/changelog ===
onedrive (2.3.9-1) unstable; urgency=medium

  * new upstream release
  * add -b debian to vcs-git

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:43:05 +0900

onedrive (2.3.8-2) unstable; urgency=medium

  * disable init.d starting of onedrive

 -- Norbert Preining <norbert@preining.info>  Sun, 18 Aug 2019 08:51:51 +0900

onedrive (2.3.8-1) unstable; urgency=medium

  * new upstream release
  * update patch
  * init.d script support

 -- Norbert Preining <norbert@preining.info>  Sun, 18 Aug 2019 08:26:45 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
   pkg-config, libnotify-dev, bash-completion, systemd
 Standards-Version: 4.2.1
 Homepage: https://github.com/abraunegg/onedrive
-Vcs-Git: https://github.com/norbusan/onedrive.git
+Vcs-Git: https://github.com/norbusan/onedrive.git -b debian
 Vcs-Browser: https://github.com/norbusan/onedrive
 
 Package: onedrive
 Section: net
 Priority: optional
 Architecture: amd64 arm64 armhf i386
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.51)
 Description: folder synchronization with OneDrive
  OneDrive is the cloud storage system of Microsoft. This package provides
  the command line client specialising in synchronizing with OneDrive cloud

## onedrive 2.3.13

=== debian/changelog ===
onedrive (2.3.13-1build2) focal; urgency=medium

  * Rebuild against new ldc90.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Feb 2020 20:43:28 +0100

onedrive (2.3.13-1build1) focal; urgency=medium

  * Rebuild against new ldc88.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jan 2020 18:33:11 +0100

onedrive (2.3.13-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Dec 2019 10:53:10 +0900

onedrive (2.3.12-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 04 Dec 2019 10:18:12 +0900

onedrive (2.3.11-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Nov 2019 09:21:36 +0900

onedrive (2.3.10-1) unstable; urgency=medium

  * new upstream release
  * build on any arch (Closes: #939820)

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Oct 2019 09:56:50 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: onedrive
 Section: net
 Priority: optional
-Architecture: amd64 arm64 armhf i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.51)
 Description: folder synchronization with OneDrive
  OneDrive is the cloud storage system of Microsoft. This package provides

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	make
 	chrpath --delete onedrive
 
+override_dh_installinit:
+	dh_installinit --no-start --no-enable
+

## onedrive 2.4.4

=== debian/changelog ===
onedrive (2.4.4-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Tue, 11 Aug 2020 10:59:19 +0900

onedrive (2.4.3-1) unstable; urgency=medium

  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Thu, 02 Jul 2020 13:29:53 +0900

onedrive (2.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from
    ./configure), Name (from ./configure), Repository, Repository-
    Browse.

  [ Norbert Preining ]
  * new upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 27 May 2020 08:06:04 +0900

onedrive (2.4.0-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper compat to 12

 -- Norbert Preining <norbert@preining.info>  Tue, 24 Mar 2020 16:57:02 +0900

=== debian/rules ===
#!/usr/bin/make -f

export DC=ldc2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-completions --enable-notifications \
		--with-zsh-completion-dir=/usr/share/zsh/vendor-completions \
		--with-fish-completion-dir=/usr/share/fish/completions

override_dh_auto_build:
	make
	chrpath --delete onedrive

override_dh_installinit:
	dh_installinit --no-start --no-enable

## onedrive 2.4.10

=== debian/changelog ===
onedrive (2.4.10-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Mon, 22 Feb 2021 22:18:26 +0900

onedrive (2.4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Sun, 27 Dec 2020 09:43:21 +0900

onedrive (2.4.8-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Wed, 02 Dec 2020 16:50:40 +0900

onedrive (2.4.7-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Nov 2020 09:02:14 +0900

onedrive (2.4.6-1) unstable; urgency=medium

  * New upstream release
  * Update fish completion installation directory
  * Remove upstream included patch fix-fish-installation

 -- Norbert Preining <norbert@preining.info>  Sun, 04 Oct 2020 20:06:44 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc,
  debhelper-compat (= 12), chrpath,
  pkg-config, libnotify-dev, bash-completion, systemd
Standards-Version: 4.2.1
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://github.com/norbusan/onedrive.git -b debian
Vcs-Browser: https://github.com/norbusan/onedrive

Package: onedrive
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.51)
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

## onedrive 2.4.13

=== debian/changelog ===
onedrive (2.4.13-1build1) jammy; urgency=medium

  * No-change rebuild against libphobos2-ldc-shared98

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 17:15:13 +0000

onedrive (2.4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Jul 2021 10:05:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: onedrive
 Section: net
 Priority: optional
-Maintainer: Norbert Preining <norbert@preining.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Norbert Preining <norbert@preining.info>
 Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc,
   debhelper-compat (= 12), chrpath,
   pkg-config, libnotify-dev, bash-completion, systemd

## onedrive 2.4.17

=== debian/changelog ===
onedrive (2.4.17-1~np3) unstable; urgency=medium

  * Remove system-wide user service file.

 -- Norbert Preining <norbert@preining.info>  Mon, 30 May 2022 12:24:27 +0900

onedrive (2.4.17-1~np2) unstable; urgency=medium

  * Try not to enable onedrive service.

 -- Norbert Preining <norbert@preining.info>  Mon, 30 May 2022 11:48:07 +0900

onedrive (2.4.17-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Sat, 30 Apr 2022 10:33:24 +0900

onedrive (2.4.16-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Mar 2022 08:41:42 +0900

onedrive (2.4.15-1~np2) unstable; urgency=medium

  * Bin rebuild to fix checksums

 -- Norbert Preining <norbert@preining.info>  Wed, 23 Feb 2022 18:52:06 +0900

onedrive (2.4.15-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Jan 2022 08:18:41 +0900

onedrive (2.4.14-1~np1) unstable; urgency=medium

  * New upstream version.

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Nov 2021 05:38:40 +0900

onedrive (2.4.13-1~np1) unstable; urgency=medium

  * Build for OBS.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Jul 2021 10:09:56 +0900

=== debian/rules ===
#!/usr/bin/make -f

export DC=ldc2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-completions --enable-notifications \
		--with-zsh-completion-dir=/usr/share/zsh/vendor-completions \
		--with-fish-completion-dir=/usr/share/fish/vendor_completions.d

override_dh_auto_build:
	make
	chrpath --delete onedrive

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_installinit:
	dh_installinit --no-start --no-enable

## onedrive 2.4.18

=== debian/changelog ===
onedrive (2.4.18-0.1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bastian Germann <bage@debian.org>  Mon, 04 Jul 2022 15:46:59 +0200

onedrive (2.4.18-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #988630).
  * d/control: Remove Vcs because debian branch is dropped.
  * d/copyright: Convert to machine-readable format and add missing info.

 -- Bastian Germann <bage@debian.org>  Mon, 06 Jun 2022 21:38:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: onedrive
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Norbert Preining <norbert@preining.info>
+Maintainer: Norbert Preining <norbert@preining.info>
 Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc,
   debhelper-compat (= 12), chrpath,
   pkg-config, libnotify-dev, bash-completion, systemd
 Standards-Version: 4.2.1
 Homepage: https://github.com/abraunegg/onedrive
-Vcs-Git: https://github.com/norbusan/onedrive.git -b debian
-Vcs-Browser: https://github.com/norbusan/onedrive
 
 Package: onedrive
 Section: net

## onedrive 2.4.19

=== debian/changelog ===
onedrive (2.4.19-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 15 Jun 2022 12:40:45 +0900

onedrive (2.4.18-1~np1) unstable; urgency=medium

  * New upstream.
  * Remove system-wide user service file even if it is a dangling symlink.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Jun 2022 09:46:43 +0900

## onedrive 2.4.20

=== debian/changelog ===
onedrive (2.4.20-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 20 Jul 2022 21:54:45 +0900

## onedrive 2.4.21

=== debian/changelog ===
onedrive (2.4.21-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * New upstream version 2.4.21
  * d/control:
    + Bump compat to 13
    + Bump standard version
    + New maintainer (Closes: #1012429)
    + Do not require root
  * Docs: Do not install LICENSE and docs/INSTALL.md files
  * d/copyright: Various fixes (FSF address, machine readable file)
  * d/ci: Added salsa ci

  [ Clément Hermann ]
  * Add myself to uploaders

 -- Sebastien Badia <sbadia@debian.org>  Sun, 02 Oct 2022 23:13:44 +0200

## onedrive 2.4.22

=== debian/changelog ===
onedrive (2.4.22-1) unstable; urgency=medium

  * New upstream version 2.4.22

 -- Sebastien Badia <sbadia@debian.org>  Sat, 17 Dec 2022 23:17:30 +0100

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Clément Hermann <nodens@debian.org>
Build-Depends: bash-completion,
               chrpath,
               debhelper-compat (= 13),
               ldc,
               libcurl4-openssl-dev,
               libnotify-dev,
               libsqlite3-dev,
               pkg-config,
               systemd
Standards-Version: 4.6.1
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://salsa.debian.org/debian/onedrive.git
Vcs-Browser: https://salsa.debian.org/debian/onedrive
Rules-Requires-Root: no

Package: onedrive
Section: net
Priority: optional
Architecture: any
Depends: init-system-helpers (>= 1.51), ${misc:Depends}, ${shlibs:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

## onedrive 2.4.23

=== debian/changelog ===
onedrive (2.4.23-1) unstable; urgency=medium

  * New upstream version 2.4.23
  * d/control: Remove installable-field-mirrors-source

 -- Sebastien Badia <sbadia@debian.org>  Mon, 09 Jan 2023 01:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,6 @@
 Rules-Requires-Root: no
 
 Package: onedrive
-Section: net
-Priority: optional
 Architecture: any
 Depends: init-system-helpers (>= 1.51), ${misc:Depends}, ${shlibs:Depends}
 Description: folder synchronization with OneDrive

## onedrive 2.4.25

=== debian/changelog ===
onedrive (2.4.25-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Aug 2023 09:40:08 -0700

onedrive (2.4.25-1) unstable; urgency=medium

  * New upstream version 2.4.25
  * d/copyright: Fix ebuild file name
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Sat, 24 Jun 2023 16:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: onedrive
 Section: net
 Priority: optional
-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Clément Hermann <nodens@debian.org>
 Build-Depends: bash-completion,
                chrpath,
@@ -12,7 +13,7 @@
                libsqlite3-dev,
                pkg-config,
                systemd
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/abraunegg/onedrive
 Vcs-Git: https://salsa.debian.org/debian/onedrive.git
 Vcs-Browser: https://salsa.debian.org/debian/onedrive

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,9 @@
 	make
 	chrpath --delete onedrive
 
-override_dh_installsystemduser:
-	dh_installsystemduser --no-enable
-
 override_dh_installinit:
 	dh_installinit --no-start --no-enable
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## onedrive 2.5.2

=== debian/changelog ===
onedrive (2.5.2-1+np1+1.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 30 Sep 2024 06:01:06 +0000

onedrive (2.5.2-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2024 14:59:15 +0900

onedrive (2.5.1-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Sep 2024 14:13:52 +0900

onedrive (2.5.0-1+np2) unstable; urgency=medium

  * Enable debug

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Sep 2024 09:18:28 +0900

onedrive (2.5.0-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Sep 2024 10:49:19 +0900

onedrive (2.4.25-1+np3) unstable; urgency=medium

  * Force rebuild to ensure new key is used

 -- Norbert Preining <norbert@preining.info>  Thu, 15 Aug 2024 09:06:22 +0900

onedrive (2.4.25-1+np2) unstable; urgency=medium

  * Add DEBTRANSFORM-RELEASE: 1 to control/dsc to ensure autobuild numbers
    are appended

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Apr 2024 09:06:22 +0900

onedrive (2.4.25-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Wed, 21 Jun 2023 14:34:11 +0900

onedrive (2.4.24-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Tue, 20 Jun 2023 14:04:39 +0900

onedrive (2.4.23-1+np1) unstable; urgency=medium

  * New upstream

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Jan 2023 09:12:52 +0900

onedrive (2.4.22-1+np1) unstable; urgency=medium

  * New upstream.

 -- Norbert Preining <norbert@preining.info>  Tue, 06 Dec 2022 09:14:40 +0900

onedrive (2.4.21-1+np2) unstable; urgency=medium

  * Add libcurl4 to dependencies as it seems that it is necessary.

 -- Norbert Preining <norbert@preining.info>  Fri, 02 Dec 2022 10:19:18 +0900

onedrive (2.4.21-1+np1) unstable; urgency=medium

  * New upstream.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Sep 2022 08:13:36 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc,
  debhelper-compat (= 12), chrpath,
  pkg-config, libnotify-dev, bash-completion, systemd
Standards-Version: 4.2.1
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://github.com/norbusan/onedrive.git -b debian
Vcs-Browser: https://github.com/norbusan/onedrive
XS-DEBTRANSFORM-RELEASE: 1

Package: onedrive
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.51), libcurl4
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

## onedrive 2.5.3

=== debian/changelog ===
onedrive (2.5.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore systemd as alternative build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Nov 2024 14:25:59 -0800

onedrive (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * d/copyright: Refresh version according new version
  * d/patches: remove applied upstream patchs

 -- Sebastien Badia <sbadia@debian.org>  Sat, 16 Nov 2024 01:13:23 +0100

onedrive (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * d/patches:
    + Refresh patches according new version
    + Fix spelling errors reported by Lintian
  * d/copyright: Refresh version according new version

 -- Sebastien Badia <sbadia@debian.org>  Mon, 07 Oct 2024 08:43:48 +0200

onedrive (2.4.25-2) unstable; urgency=medium

  * d/patches: Rename and add DEP descriptions
  * d/copyright: Update years
  * d/control:
      + Update systemd-dev BD (Closes: #1060522)
      + Update pkgconf package name

 -- Sebastien Badia <sbadia@debian.org>  Fri, 31 May 2024 11:45:47 +0200

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Clément Hermann <nodens@debian.org>
Build-Depends: bash-completion,
               chrpath,
               debhelper-compat (= 13),
               ldc,
               libcurl4-openssl-dev,
               libnotify-dev,
               libsqlite3-dev,
               pkgconf,
               systemd-dev | systemd
Standards-Version: 4.7.0
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://salsa.debian.org/debian/onedrive.git
Vcs-Browser: https://salsa.debian.org/debian/onedrive
Rules-Requires-Root: no

Package: onedrive
Architecture: any
Depends: init-system-helpers (>= 1.51), ${misc:Depends}, ${shlibs:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

## onedrive 2.5.4

=== debian/changelog ===
onedrive (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * d/patches: Refresh Debian patches
  * d/copyright: Update years

 -- Sebastien Badia <sbadia@debian.org>  Thu, 06 Feb 2025 22:34:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: onedrive
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Clément Hermann <nodens@debian.org>
 Build-Depends: bash-completion,
                chrpath,
@@ -12,7 +11,7 @@
                libnotify-dev,
                libsqlite3-dev,
                pkgconf,
-               systemd-dev | systemd
+               systemd-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/abraunegg/onedrive
 Vcs-Git: https://salsa.debian.org/debian/onedrive.git

## onedrive 2.5.5

=== debian/changelog ===
onedrive (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * d/patches: Refresh Debian patchs
  * d/copyright: Remove old FSF address
  * d/rules: Enable debug (Lintian debug-file-with-no-debug-symbols)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 05 May 2025 15:19:35 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libsqlite3-dev,
                pkgconf,
                systemd-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/abraunegg/onedrive
 Vcs-Git: https://salsa.debian.org/debian/onedrive.git
 Vcs-Browser: https://salsa.debian.org/debian/onedrive

## onedrive 2.5.6

=== debian/changelog ===
onedrive (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6
  * d/patches:
      + Refresh Debian patchs
      + Disable new version notifications (Closes: #1101407)
  * d/control: Added new BD on libdbus-1-dev
  * d/copyright: Remove gentoo related files

 -- Sebastien Badia <sbadia@debian.org>  Mon, 08 Sep 2025 23:39:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                debhelper-compat (= 13),
                ldc,
                libcurl4-openssl-dev,
+               libdbus-1-dev,
                libnotify-dev,
                libsqlite3-dev,
                pkgconf,
@@ -20,7 +21,7 @@
 
 Package: onedrive
 Architecture: any
-Depends: init-system-helpers (>= 1.51), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: folder synchronization with OneDrive
  OneDrive is the cloud storage system of Microsoft. This package provides
  the command line client specialising in synchronizing with OneDrive cloud

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/onedrive-$1\.tar\.gz/ \
  https://github.com/abraunegg/onedrive/tags .*/v?(\d\S+)\.tar\.gz

## onedrive 2.5.7

=== debian/changelog ===
onedrive (2.5.7-1) unstable; urgency=medium

  * New upstream version 2.5.7
  * d/patches: Refresh Debian patchs
  * d/control: redundant-rules-requires-root-no-field

 -- Sebastien Badia <sbadia@debian.org>  Sun, 28 Sep 2025 16:46:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DC=ldc2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug --enable-completions --enable-notifications \
		--with-zsh-completion-dir=/usr/share/zsh/vendor-completions \
		--with-fish-completion-dir=/usr/share/fish/vendor_completions.d

override_dh_auto_build:
	make
	chrpath --delete onedrive

override_dh_installinit:
	dh_installinit --no-start --no-enable

## onedrive 2.5.9

=== debian/changelog ===
onedrive (2.5.9-1+np1+1.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 07 Nov 2025 23:10:47 +0000

onedrive (2.5.9-1+np1) unstable; urgency=medium

  * New upstream releases.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 Nov 2025 08:24:18 +0100

onedrive (2.5.7-1+np1) unstable; urgency=medium

  * New upstream release.

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Sep 2025 11:12:54 +0200

onedrive (2.5.6-1+np1) unstable; urgency=medium

  * add libdbus-1-dev to B-D
  * update patch
  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Thu, 05 Jun 2025 14:24:54 +0200

onedrive (2.5.5-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 17 Mar 2025 07:49:52 +0700

onedrive (2.5.4-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Mon, 03 Feb 2025 16:47:39 +0900

onedrive (2.5.3-1+np1) unstable; urgency=medium

  * New upstream release

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:11:20 +0900

onedrive (2.5.2-1+np4) unstable; urgency=medium

  * Try working around possibly unavailable systemd-dev

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:07:05 +0900

onedrive (2.5.2-1+np3) unstable; urgency=medium

  * Revert previous change, add systemd-dev as build-dep

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 11:01:00 +0900

onedrive (2.5.2-1+np2) unstable; urgency=medium

  * Pass in --with-systemdsystemunitdir=auto to hopefully help Ubuntu 24.10
    builds

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Nov 2024 10:39:44 +0900

=== debian/control ===
Source: onedrive
Section: net
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: libcurl4-openssl-dev, libsqlite3-dev, ldc,
  debhelper-compat (= 12), chrpath, libdbus-1-dev,
  pkg-config, libnotify-dev, bash-completion, systemd-dev | systemd
Standards-Version: 4.2.1
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://github.com/norbusan/onedrive.git -b debian
Vcs-Browser: https://github.com/norbusan/onedrive
XS-DEBTRANSFORM-RELEASE: 1

Package: onedrive
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.51), libcurl4
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,8 @@
 	make
 	chrpath --delete onedrive
 
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable
+
 override_dh_installinit:
 	dh_installinit --no-start --no-enable

## onedrive 2.5.10

=== debian/changelog ===
onedrive (2.5.10-1) unstable; urgency=medium

  * New upstream version 2.5.10
  * d/watch: Update configuration for version 5
  * d/copyright: Update years
  * d/control:
    + Bump Standards-Version to 4.7.3 (no changes needed)
    + Remove redundant priority optional field
  * d/patches:
    + Refresh Debian patchs
    + Use new option 'disable_version_check' (refs: #1101407)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 02 Feb 2026 18:26:35 +0100

onedrive (2.5.9-1) unstable; urgency=medium

  * New upstream version 2.5.9
  * d/patches: Refresh Debian patchs

 -- Sebastien Badia <sbadia@debian.org>  Fri, 07 Nov 2025 12:32:06 +0100

=== debian/control ===
Source: onedrive
Section: net
Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Clément Hermann <nodens@debian.org>
Build-Depends: bash-completion,
               chrpath,
               debhelper-compat (= 13),
               ldc,
               libcurl4-openssl-dev,
               libdbus-1-dev,
               libnotify-dev,
               libsqlite3-dev,
               pkgconf,
               systemd-dev
Standards-Version: 4.7.3
Homepage: https://github.com/abraunegg/onedrive
Vcs-Git: https://salsa.debian.org/debian/onedrive.git
Vcs-Browser: https://salsa.debian.org/debian/onedrive

Package: onedrive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: folder synchronization with OneDrive
 OneDrive is the cloud storage system of Microsoft. This package provides
 the command line client specialising in synchronizing with OneDrive cloud
 storage.

=== debian/watch ===
Version: 5
Template: Github
Owner: abraunegg
Project: onedrive
